@import './../../common/styles/mixins.scss';

.slider {
  position: relative;
  height: 100%;
  border-radius: 5px 5px 0 0;

  &__slide {
    position: absolute;
    height: 100%;
    width: 100%;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    opacity: 0;
    border-radius: 5px 5px 0 0;
    @include transition();

    &--selected {
      opacity: 1;
    }

    &__control {

      height: 100%;
      width: 40px;
      cursor: pointer;
      @include transition();
      @include center();

      &--next {
        float: right;
        border-radius: 0 5px 0 0;
      }

      &--before {
        border-radius: 5px 0 0 0;
      }

      &:hover {
        background-color: rgba(0, 0, 0, 0.3);
        color: $white;
      }
    }
  }
}